<template>
  <div class="surveys-page container">
    <SurveyList v-if="!loading" :surveys="surveys" />
    <h2 v-else>Loading...</h2>
  </div>
</template>

<script>
import axios from "axios";
import SurveyList from "@/components/SurveyList";

export default {
  name: "SurveysPage",
  components: {
    SurveyList,
  },
  data() {
    return {
      loading: false,
      surveys: [],
    };
  },
  async mounted() {
    this.loading = true;
    try {
      await new Promise((resolve) => setTimeout(resolve, 1000)); // Fake loading API
      const response = await axios.get("http://localhost:8080/api/list.json");
      this.surveys = response.data;
    } catch (error) {
      console.log(error);
    }
    this.loading = false;
  },
};
</script>

<style lang="scss"></style>
